    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.PropertyEditorSupport

    java.lang.Object
       |
       +----java.beans.PropertyEditorSupport

public class PropertyEditorSupport
extends Object
implements PropertyEditor

##

PropertyEditorSupport()
  Constructor for use by derived PropertyEditor classes.
PropertyEditorSupport(Object)
  Constructor for use when a PropertyEditor is delegating to us.

##

addPropertyChangeListener(PropertyChangeListener)
  Register a listener for the PropertyChange event.
firePropertyChange()
  Report that we have been modified to any interested listeners.
getAsText()
getCustomEditor()
  A PropertyEditor may chose to make available a full custom Component that edits its property value.
getJavaInitializationString()
  This method is intended for use when generating Java code to set the value of the property.
getTags()
  If the property value must be one of a set of known tagged values, then this method should return an array of the tag values.
getValue()
isPaintable()
paintValue(Graphics, Rectangle)
  Paint a representation of the value into a given area of screen real estate.
removePropertyChangeListener(PropertyChangeListener)
  Remove a listener for the PropertyChange event.
setAsText(String)
  Set the property value by parsing a given String.
setValue(Object)
  Set (or change) the object that is to be edited.
supportsCustomEditor()

##

PropertyEditorSupport

     protected PropertyEditorSupport()

  Constructor for use by derived PropertyEditor classes.

PropertyEditorSupport

     protected PropertyEditorSupport(Object source)

  Constructor for use when a PropertyEditor is delegating to us.

  Parameters:
    source - The source to use for any events we fire.

##

setValue

     public void setValue(Object value)

  Set (or change) the object that is to be edited.

  Parameters:
    value - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

getValue

     public Object getValue()

  Returns:
    The value of the property.

isPaintable

     public boolean isPaintable()

  Returns:
    True if the class will honor the paintValue method.

paintValue

     public void paintValue(Graphics gfx,
                            Rectangle box)

  Paint a representation of the value into a given area of screen real estate. Note that the propertyEditor is responsible for doing its own clipping so that it fits into the given rectangle.

  If the PropertyEditor doesn't honor paint requests (see isPaintable) this method should be a silent noop.

  Parameters:
    gfx - Graphics object to paint into.
    box - Rectangle within graphics object into which we should paint.

getJavaInitializationString

     public String getJavaInitializationString()

  This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

  Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

  Returns:
    A fragment of Java code representing an initializer for the current value.

getAsText

     public String getAsText()

  Returns:
    The property value as a string suitable for presentation to a human to edit.

    Returns "null" is the value can't be expressed as a string.

    If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

setAsText

     public void setAsText(String text) throws IllegalArgumentException

  Set the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

  Parameters:
    text - The string to be parsed.

getTags

     public String[] getTags()

  If the property value must be one of a set of known tagged values, then this method should return an array of the tag values. This can be used to represent (for example) enum values. If a PropertyEditor supports tags, then it should support the use of setAsText with a tag value as a way of setting the value.

  Returns:
    The tag values for this property. May be null if this property cannot be represented as a tagged value.

getCustomEditor

     public Component getCustomEditor()

  A PropertyEditor may chose to make available a full custom Component that edits its property value. It is the responsibility of the PropertyEditor to hook itself up to its editor Component itself and to report property value changes by firing a PropertyChange event.

  The higher-level code that calls getCustomEditor may either embed the Component in some larger property sheet, or it may put it in its own individual dialog, or ...

  Returns:
    A java.awt.Component that will allow a human to directly edit the current property value. May be null if this is not supported.

supportsCustomEditor

     public boolean supportsCustomEditor()

  Returns:
    True if the propertyEditor can provide a custom editor.

addPropertyChangeListener

     public synchronized void addPropertyChangeListener(PropertyChangeListener listener)

  Register a listener for the PropertyChange event. The class will fire a PropertyChange value whenever the value is updated.

  Parameters:
    listener - An object to be invoked when a PropertyChange event is fired.

removePropertyChangeListener

     public synchronized void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a listener for the PropertyChange event.

  Parameters:
    listener - The PropertyChange listener to be removed.

firePropertyChange

     public void firePropertyChange()

  Report that we have been modified to any interested listeners.

  Parameters:
    source - The PropertyEditor that caused the event.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.